Bug 1266117 - remove router service account docs
remove router service account docs
Status: CLOSED DUPLICATE of bug 1300503
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Alex Dellapenta
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 10:02 EDT by Erik M Jacobs
Modified: 2016-02-05 18:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 18:00:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik M Jacobs 2015-09-24 10:02:46 EDT
The installer now automatically creates the router/registry service accounts and modifies the SCC in the default project:

https://github.com/openshift/openshift-ansible/pull/569

This obsoletes the docs for doing this for the router:
https://docs.openshift.com/enterprise/3.0/install_config/install/deploy_router.html#creating-the-router-service-account
Comment 2 Alex Dellapenta 2015-09-25 11:08:35 EDT
This makes sense, as the topic is generally for new installations, and anyone installing fresh should be using the latest openshift-ansible repo. It is probably still worthwhile to describe and discuss the need for a router service account at this point in the doc, even if the installer is creating it.

Same goes for the registry service account steps (per https://github.com/openshift/openshift-ansible/pull/569): 

https://docs.openshift.com/enterprise/3.0/install_config/install/docker_registry.html

Note You need to log in before you can comment on or make changes to this bug.